SELECT TARIH, ADSOYADI, TEL AS TELEFON, Uye AS MisafirTipi,TCKIMLIK, RGTAR, RCITAR, DOGTAR,UYRUK, ADRES,CASE DURUM
    WHEN 'R' THEN 'Rezervasyon'
    WHEN 'C' THEN 'Konaklama'
	WHEN 'G' THEN 'Gitti'
    END AS Durumu,'Asıl' as KayitTipi,(KKKALACAK) AS KisiSayısı,(KACCOCUK) AS CocukSayisi FROM GIDEN
UNION 
SELECT DISTINCT TARIH, ADSOYADI, TEL AS TELEFON, Uye AS MisafirTipi,TCKIMLIK, RGTAR, RCITAR, DOGTAR,UYRUK, ADRES,CASE DURUM
    WHEN 'R' THEN 'Rezervasyon'
    WHEN 'C' THEN 'Konaklama'
	WHEN 'G' THEN 'Gitti'
    END AS Durumu,'Yakını' as KayitTipi,'' AS KisiSayısı,'' AS CocukSayisi   FROM BERABER 
UNION
SELECT DISTINCT TARIH, ADSOYADI, TEL AS TELEFON, Uye AS MisafirTipi,TCKIMLIK, RGTAR, RCITAR, DOGTAR,UYRUK, ADRES,CASE DURUM
    WHEN 'R' THEN 'Rezervasyon'
    WHEN 'C' THEN 'Konaklama'
	WHEN 'G' THEN 'Gitti'
    END AS Durumu,'Asıl' as KayitTipi,KKKALACAK AS KisiSayısı,(KACCOCUK) AS CocukSayisi  FROM REZERVAS 
UNION 
SELECT DISTINCT TARIH, ADSOYADI, TEL AS TELEFON, Uye AS MisafirTipi,TCKIMLIK, RGTAR, RCITAR, DOGTAR,UYRUK, ADRES,CASE DURUM
    WHEN 'R' THEN 'Rezervasyon'
    WHEN 'C' THEN 'Konaklama'
	WHEN 'G' THEN 'Gitti'
    END AS Durumu,'Yakını' as KayitTipi,'' AS KisiSayısı,'' AS CocukSayisi FROM GIDENBERABER
WHERE (DATEDIFF(YEAR,TARIH,GETDATE())=0)
ORDER BY RGTAR
